<!-- Topbar -->
<nav class="navbar navbar-expand navbar-light topbar static-top shadow">
  <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
    <div class="sidebar-brand-text">End 2 End</div>
  </a>
  <!-- Topbar Navbar -->
  <ul class="navbar-nav ml-auto">
    <li class="nav-item dropdown no-arrow">
      <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
        aria-haspopup="true" aria-expanded="false">
        <span class="mr-2 d-none d-lg-inline user-text" *ngIf="user">{{user.full_name}}</span>
        <img class="img-profile rounded-circle" src="https://source.unsplash.com/QAB-WJcbgJk/60x60">

      </a>
      <!-- Dropdown - User Information -->
      <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
        <a class="dropdown-item" href="#" [routerLink]="['/profile/view-profile']">
          <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
          Profile
        </a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#" [routerLink]="['/profile/change-password']">
          <i class="fas fa-unlock-alt fa-sm fa-fw mr-2 text-gray-400"></i>
          Change Password
        </a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#" (click)="logout()" data-toggle="modal" data-target="#logoutModal">
          <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
          Logout
        </a>
      </div>
    </li>
  </ul>

</nav>
<!-- End of Topbar -->

<div class="topnav mb-4" [ngClass]="{'responsive' : toggle == true}" id="myTopnav">
  <div class="topnav-right">
  <a *ngIf="userRole != USER && userRole != ADMIN"  routerLinkActive="active" role="button" data-toggle="dropdown" [routerLink]="['/dashboard']">
    <i class="fas fa-fw fa-tachometer-alt mr-2"></i> Dashboard
  </a>
  
  <!--<a *ngIf="userRole != USER && !unitSuperUser" routerLinkActive="active" role="button" data-toggle="dropdown" [routerLink]="['/purchase-order']">
    Purchase Orders
  </a>-->

  <a *ngIf="userRole != USER && !unitSuperUser" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/erp']">
    <i class="fa fa-calculator mr-2" aria-hidden="true"></i> ERP
  </a>

  <a *ngIf="userRole != USER && !unitSuperUser" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/styles']">
    <i class="fa fa-scribd mr-2" aria-hidden="true"></i> Styles
  </a>

  <a *ngIf="userRole == ADMIN" routerLinkActive="active"  [ngClass]="{'active': parentRoute == 'company' &&  activeRoute == ''}"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/company']">
    <i class="fa fa-building mr-2" aria-hidden="true"></i> Companies
  </a>
 
  <a *ngIf="userRole != USER && !unitSuperUser" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/brands']">
    <i class="fa fa-tags mr-2" aria-hidden="true"></i> Brands
  </a>

  <a *ngIf="userRole != USER && !unitSuperUser"  routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/buyers']">
    <i class="fa fa-users mr-2" aria-hidden="true"></i> Buyers
  </a>

  <a *ngIf="userRole != USER && !unitSuperUser && designation != 4"  routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/units']">
    <i class="fa fa-puzzle-piece" aria-hidden="true"></i> Units
  </a>

  <a *ngIf="userRole != USER && userRole != ADMIN && designation != 4"  routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/lines']">
    <i class="fa fa-puzzle-piece" aria-hidden="true"></i> Lines
  </a>

  <a *ngIf="userRole != USER && designation != 4" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" [routerLink]="['/hr/employees']">
    <i class="fa fa-users mr-2" aria-hidden="true"></i>
     Employees
  </a>

  <a *ngIf="userRole != USER && designation != 4" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" [routerLink]="['/hr/designations']">
    <i class="fa fa-cog mr-2" aria-hidden="true"></i> Designations
  </a>

  <!----------Trim Head Menus --------------------->
  <a *ngIf="department == DEPT_TRIM" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/trim-inwards']">
   Trim Inwards
  </a>

  <a *ngIf="department == DEPT_TRIM" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown"  [routerLink]="['/production/add-inward-log']">
    Add Trim Inwards
  </a>

  <!----------Fabric Head Menus --------------------->
  <a *ngIf="department == DEPT_FABRIC" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/fabric-inwards']">
    Fabric Inwards
  </a>

  <a *ngIf="department == DEPT_FABRIC" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/add-fabric-inward-log']">
    Add Fabric Inwards
  </a>

  <a *ngIf="department == DEPT_FABRIC" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/fabric-inspection']">
    Inspection Log<
  </a>

  <!--------------Outward Logs------------------------->
  <a *ngIf="department == DEPT_TRIM || department == DEPT_FABRIC" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/outward-logs']">
    Outward Logs
  </a>

  <!--------------Cutting------------------------->
  <a *ngIf="department == DEPT_CUTTING" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/cutting-data']">
    Production
  </a>

  <!--------------Finishing------------------------->
  <a *ngIf="department == DEPT_FINISHING" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/finishing-data']">
    Production
  </a>
     
  <!--------------Sewing------------------------->
  <a *ngIf="department == DEPT_SEWING" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/sewing-data']">
    Production
  </a>

  <!--------------Kaja Button------------------------->
  <a *ngIf="department == DEPT_KAJA_BUTTON" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/kaja-buttoning-data']">
    Production
  </a>
  
  <!--------------Fusing------------------------->
  <a *ngIf="department == DEPT_FUSING" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/fusing-data']">
    Production
  </a>
  
   <!---------------Dispatch Lots------------------------->
  <a *ngIf="department == DEPT_DISPATCH" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/production/dispatch-details']">
    Dispatch Details
  </a>

  <!---------------Machines------------------------->
  <a *ngIf="department == DEPT_MECHANICAL" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/machines/list-machines']">
    <i class="fa fa-car mr-2" aria-hidden="true"></i> Machines
  </a>

  <a *ngIf="department == DEPT_MECHANICAL" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/machines/service-history']">
    <i class="fa fa-history mr-2" aria-hidden="true"></i> Service History
  </a>

   <!--------------profile------------------------->
  <a *ngIf="userRole == USER" routerLinkActive="active" class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/profile/view-profile']">
    <i class="fa fa-user mr-2" aria-hidden="true"></i> Profile
  </a>

   <!---------------Password Change------------------------->
    <a *ngIf="userRole == USER" routerLinkActive="active"  class="nav-link" role="button" data-toggle="dropdown" [routerLink]="['/profile/change-password']">
      <i class="fa fa-unlock-alt mr-2" aria-hidden="true"></i> Change Password
    </a>  
  </div>
  
    <a class="icon" (click)="toggleNav()">
      <i class="fa fa-bars"></i>
    </a>
  </div>
